Bug 1914322 - weasyprint fails to build: expected rgba(0, 255, 0, 255), got rgba(127, 255, 127, 255)
Summary: weasyprint fails to build: expected rgba(0, 255, 0, 255), got rgba(127, 255, ...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: weasyprint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-08 15:24 UTC by Miro Hrončok
Modified: 2021-02-09 16:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-01-08 15:24:01 UTC
weasyprint fails to build with Python 3.10.0a4.

E                   AssertionError: Pixel (1, 4) in float_inline: expected rgba(0, 255, 0, 255), got rgba(127, 255, 127, 255)
E                   AssertionError: Pixel (1, 2) in table_vertical_align: expected rgba(255, 0, 0, 255), got rgba(127, 0, 128, 255)
...


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01865319-weasyprint/

For all our attempts to build weasyprint with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/weasyprint/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2021-01-08 15:27:12 UTC
Also happens on rawhide: https://koschei.fedoraproject.org/package/weasyprint?collection=f34

Comment 2 Felix Schwarz 2021-01-08 15:38:05 UTC
I'll have a look later. Upstream is in the process of switching the main PDF backend from Cairo to a custom Python library so we'll see how this works out.

Comment 3 Felix Schwarz 2021-01-13 10:54:28 UTC
The root cause is an incompatibility with cairo 1.17. Upstream is switching to pydyf so they won't spend much time fixing WeasyPrint with newer versions of cairo. I'm not sure what to do next but help is appreciated.

Comment 4 Ben Cotton 2021-02-09 15:38:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.